Module java.corba
Package org.omg.DynamicAny

## Interface DynStruct

- All Superinterfaces:
    `DynAny`, `DynAnyOperations`, `DynStructOperations`, `IDLEntity`, `Object`, `Serializable`
  All Known Implementing Classes:
    `_DynStructStub`

      public interface DynStruct
      extends DynStructOperations, DynAny, IDLEntity

  DynStruct objects support the manipulation of IDL struct and exception values. Members of the exceptions are handled in the same way as members of a struct.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.DynamicAny.DynStructOperations

      `current_member_kind, current_member_name, get_members, get_members_as_dyn_any, set_members, set_members_as_dyn_any`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`